//-------------------------------------------------------------
//
// Class:	gsCKeyboard - keyboard codes
//
// Author:	John M Phillips
//
// Started:	12/03/00
//
// Base:	gsCInput
//
// Derived:	None
//
//-------------------------------------------------------------

#ifndef _INCLUDE_GS_KEYCODES_H
#define _INCLUDE_GS_KEYCODES_H

//-------------------------------------------------------------
// Key Codes

typedef enum {
	gsKEY_NONE		=	0,
	gsKEY_ESCAPE	=	DIK_ESCAPE,
	gsKEY_1			=	DIK_1,
	gsKEY_2			=	DIK_2,
	gsKEY_3			=	DIK_3,
	gsKEY_4			=	DIK_4,
	gsKEY_5			=	DIK_5,
	gsKEY_6			=	DIK_6,
	gsKEY_7			=	DIK_7,
	gsKEY_8			=	DIK_8,
	gsKEY_9			=	DIK_9,
	gsKEY_0			=	DIK_0,
	gsKEY_MINUS		=	DIK_MINUS,
	gsKEY_EQUALS	=	DIK_EQUALS,
	gsKEY_BACK		=	DIK_BACK,
	gsKEY_TAB		=	DIK_TAB,
	gsKEY_Q			=	DIK_Q,
	gsKEY_W			=	DIK_W,
	gsKEY_E			=	DIK_E,
	gsKEY_R			=	DIK_R,
	gsKEY_T			=	DIK_T,
	gsKEY_Y			=	DIK_Y,
	gsKEY_U			=	DIK_U,
	gsKEY_I			=	DIK_I,
	gsKEY_O			=	DIK_O,
	gsKEY_P			=	DIK_P,
	gsKEY_LBRACKET	=	DIK_LBRACKET,
	gsKEY_RBRACKET	=	DIK_RBRACKET,
	gsKEY_RETURN	=	DIK_RETURN,
	gsKEY_LCONTROL	=	DIK_LCONTROL,
	gsKEY_A			=	DIK_A,
	gsKEY_S			=	DIK_S,
	gsKEY_D			=	DIK_D,
	gsKEY_F			=	DIK_F,
	gsKEY_G			=	DIK_G,
	gsKEY_H			=	DIK_H,
	gsKEY_J			=	DIK_J,
	gsKEY_K			=	DIK_K,
	gsKEY_L			=	DIK_L,
	gsKEY_SEMICOLON	=	DIK_SEMICOLON,
	gsKEY_APOSTROPHE =	DIK_APOSTROPHE,
	gsKEY_GRAVE		=	DIK_GRAVE,
	gsKEY_LSHIFT	=	DIK_LSHIFT,
	gsKEY_BACKLASH	=	DIK_BACKSLASH,
	gsKEY_Z			=	DIK_Z,
	gsKEY_X			=	DIK_X,
	gsKEY_C			=	DIK_C,
	gsKEY_V			=	DIK_V,
	gsKEY_B			=	DIK_B,
	gsKEY_N			=	DIK_N,
	gsKEY_M			=	DIK_M,
	gsKEY_COMMA		=	DIK_COMMA,
	gsKEY_PERIOD	=	DIK_PERIOD,
	gsKEY_SLASH		=	DIK_SLASH,
	gsKEY_RSHIFT	=	DIK_RSHIFT,
	gsKEY_MULTIPLY	=	DIK_MULTIPLY,
	gsKEY_ALT		=	DIK_LMENU,
	gsKEY_SPACE		=	DIK_SPACE,
	gsKEY_CAPITAL	=	DIK_CAPITAL,
	gsKEY_F1		=	DIK_F1,
	gsKEY_F2		=	DIK_F2,
	gsKEY_F3		=	DIK_F3,
	gsKEY_F4		=	DIK_F4,
	gsKEY_F5		=	DIK_F5,
	gsKEY_F6		=	DIK_F6,
	gsKEY_F7		=	DIK_F7,
	gsKEY_F8		=	DIK_F8,
	gsKEY_F9		=	DIK_F9,
	gsKEY_F10		=	DIK_F10,
	gsKEY_NUMLOCK	=	DIK_NUMLOCK,
	gsKEY_SCROLL	=	DIK_SCROLL,
	gsKEY_NUMPAD7	=	DIK_NUMPAD7,
	gsKEY_NUMPAD8	=	DIK_NUMPAD8,
	gsKEY_NUMPAD9	=	DIK_NUMPAD9,
	gsKEY_SUBTRACT	=	DIK_SUBTRACT,
	gsKEY_NUMPAD4	=	DIK_NUMPAD4,
	gsKEY_NUMPAD5	=	DIK_NUMPAD5,
	gsKEY_NUMPAD6	=	DIK_NUMPAD6,
	gsKEY_ADD		=	DIK_ADD,
	gsKEY_NUMPAD1	=	DIK_NUMPAD1,
	gsKEY_NUMPAD2	=	DIK_NUMPAD2,
	gsKEY_NUMPAD3	=	DIK_NUMPAD3,
	gsKEY_NUMPAD0	=	DIK_NUMPAD0,
	gsKEY_DECIMAL	=	DIK_DECIMAL,
	gsKEY_OEM_102	=	DIK_OEM_102,
	gsKEY_F11		=	DIK_F11,
	gsKEY_F12		=	DIK_F12,
	gsKEY_ENTER		=	DIK_NUMPADENTER,
	gsKEY_RCONTROL	=	DIK_RCONTROL,
	gsKEY_DIVIDE	=	DIK_DIVIDE,
	gsKEY_SYSRQ		=	DIK_SYSRQ,
	gsKEY_RIGHTALT	=	DIK_RMENU,
	gsKEY_PAUSE		=	DIK_PAUSE,
	gsKEY_HOME		=	DIK_HOME,
	gsKEY_UP		=	DIK_UP,
	gsKEY_PAGEUP	=	DIK_PRIOR,
	gsKEY_LEFT		=	DIK_LEFT,
	gsKEY_RIGHT		=	DIK_RIGHT,
	gsKEY_END		=	DIK_END,
	gsKEY_DOWN		=	DIK_DOWN,
	gsKEY_PAGEDOWN	=	DIK_NEXT,
	gsKEY_INSERT	=	DIK_INSERT,
	gsKEY_DELETE	=	DIK_DELETE,
} gsKeyCode;

//-------------------------------------------------------------

#endif

